com.here.msdkui.guidance

## Class GuidanceManeuverData

- java.lang.Object
- - com.here.msdkui.guidance.GuidanceManeuverData

- All Implemented Interfaces:
    android.os.Parcelable

      public class GuidanceManeuverData
      extends java.lang.Object
      implements android.os.Parcelable

  A data class holding the current guidance instructions to be fed into the `GuidanceManeuverView`. This class can be used to hold an icon along with some other details like street name, signpost or exit. `GuidanceManeuverPresenter` can be used to get notified on new instances of this class during guidance.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `android.os.Parcelable.ClassLoaderCreator<T>, android.os.Parcelable.Creator<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static android.os.Parcelable.Creator<GuidanceManeuverData>` | `CREATOR`

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuidanceManeuverData(int iconId, java.lang.Long distance, java.lang.String info1, java.lang.String info2)` Constructs a new instance using the provided icon, distance and info strings.
    `GuidanceManeuverData(int iconId, java.lang.Long distance, java.lang.String info1, java.lang.String info2, android.graphics.Bitmap nextRoadIcon)` Constructs a new instance using the provided icons, distance and info strings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `describeContents()`
    `boolean` | `equals(java.lang.Object obj1)`
    `java.lang.Long` | `getDistance()` Gets the distance to the next maneuver.
    `int` | `getIconId()` Gets the icon id of the next maneuver.
    `java.lang.String` | `getInfo1()` Gets information of 1st line of guidance panel.
    `java.lang.String` | `getInfo2()` Gets information of 2nd line of guidance panel.
    `android.graphics.Bitmap` | `getNextRoadIcon()` Gets next road icon for this maneuver.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`
    `void` | `writeToParcel(android.os.Parcel dest, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CREATOR

          public static final android.os.Parcelable.Creator<GuidanceManeuverData> CREATOR

  - ### Constructor Detail

    - #### GuidanceManeuverData

          public GuidanceManeuverData(int iconId,
                                      java.lang.Long distance,
                                      java.lang.String info1,
                                      java.lang.String info2)

      Constructs a new instance using the provided icon, distance and info strings.
      Parameters:
        `iconId` - resource id of the maneuver icon.
        `distance` - distance to next `Maneuver`.
        `info1` - information for the 1st line of `GuidanceManeuverView`. In most cases, it is used to display highway exit numbers. In case there is no relevant information, null can be set.
        `info2` - information for the 2nd line of `GuidanceManeuverView`. In most cases, it is used to display next maneuver street or the destination.

    - #### GuidanceManeuverData

          public GuidanceManeuverData(int iconId,
                                      java.lang.Long distance,
                                      java.lang.String info1,
                                      java.lang.String info2,
                                      android.graphics.Bitmap nextRoadIcon)

      Constructs a new instance using the provided icons, distance and info strings.
      Parameters:
        `iconId` - resource id of the maneuver icon.
        `distance` - distance to next `Maneuver`.
        `info1` - information for the 1st line of this panel. In most cases, it is used to display highway exit numbers. In case there is no relevant information, null can be set.
        `info2` - information for the 2nd line of this panel. In most cases, it is used to display next maneuver street or the destination.
        `nextRoadIcon` - next road icon for this maneuver.

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel(android.os.Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `android.os.Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `android.os.Parcelable`

    - #### getIconId

          public int getIconId()

      Gets the icon id of the next maneuver.
      Returns:
        an icon resource id.

    - #### getInfo1

          public java.lang.String getInfo1()

      Gets information of 1st line of guidance panel. Can be null in case no relevant information was set.
      Returns:
        a string with information for 1st line.

    - #### getInfo2

          public java.lang.String getInfo2()

      Gets information of 2nd line of guidance panel.
      Returns:
        a string with information for 2nd line.

    - #### getDistance

          public java.lang.Long getDistance()

      Gets the distance to the next maneuver.
      Returns:
        the distance to next maneuver in meters.

    - #### getNextRoadIcon

          public android.graphics.Bitmap getNextRoadIcon()

      Gets next road icon for this maneuver.
      Returns:
        `Bitmap` for next road icon for this maneuver.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj1)

      Overrides:
        `equals` in class `java.lang.Object`